DNSConstants
Date: 2017-02-10

javax.jmdns.impl.constants

## Class DNSConstants

- java.lang.Object
- - javax.jmdns.impl.constants.DNSConstants

-     public final class DNSConstants
      extends java.lang.Object

  DNS constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANNOUNCE_WAIT_INTERVAL`
    `static int` | `ANNOUNCED_RENEWAL_TTL_INTERVAL`
    `static long` | `CLOSE_TIMEOUT`
    `static int` | `DNS_PORT`
    `static int` | `DNS_TTL`
    `static int` | `FLAGS_AA`
    `static int` | `FLAGS_AD`
    `static int` | `FLAGS_CD`
    `static int` | `FLAGS_QR_MASK`
    `static int` | `FLAGS_QR_QUERY`
    `static int` | `FLAGS_QR_RESPONSE`
    `static int` | `FLAGS_RA`
    `static int` | `FLAGS_RD`
    `static int` | `FLAGS_TC`
    `static int` | `FLAGS_Z`
    `static int` | `KNOWN_ANSWER_TTL`
    `static int` | `MAX_MSG_ABSOLUTE`
    `static int` | `MAX_MSG_TYPICAL`
    `static java.lang.String` | `MDNS_GROUP`
    `static java.lang.String` | `MDNS_GROUP_IPV6`
    `static int` | `MDNS_PORT`
    `static int` | `NETWORK_CHECK_INTERVAL`
    `static int` | `PROBE_CONFLICT_INTERVAL`
    `static int` | `PROBE_THROTTLE_COUNT`
    `static int` | `PROBE_THROTTLE_COUNT_INTERVAL`
    `static int` | `PROBE_WAIT_INTERVAL`
    `static int` | `QUERY_WAIT_INTERVAL`
    `static int` | `RECORD_EXPIRY_DELAY`
    `static int` | `RECORD_REAPER_INTERVAL`
    `static int` | `RESPONSE_MAX_WAIT_INTERVAL`
    `static int` | `RESPONSE_MIN_WAIT_INTERVAL`
    `static long` | `SERVICE_INFO_TIMEOUT`
    `static int` | `SHARED_QUERY_TIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DNSConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MDNS_GROUP

          public static final java.lang.String MDNS_GROUP

      See Also:
        Constant Field Values

    - #### MDNS_GROUP_IPV6

          public static final java.lang.String MDNS_GROUP_IPV6

      See Also:
        Constant Field Values

    - #### MDNS_PORT

          public static final int MDNS_PORT

    - #### DNS_PORT

          public static final int DNS_PORT

      See Also:
        Constant Field Values

    - #### DNS_TTL

          public static final int DNS_TTL

      See Also:
        Constant Field Values

    - #### MAX_MSG_TYPICAL

          public static final int MAX_MSG_TYPICAL

      See Also:
        Constant Field Values

    - #### MAX_MSG_ABSOLUTE

          public static final int MAX_MSG_ABSOLUTE

      See Also:
        Constant Field Values

    - #### FLAGS_QR_MASK

          public static final int FLAGS_QR_MASK

      See Also:
        Constant Field Values

    - #### FLAGS_QR_QUERY

          public static final int FLAGS_QR_QUERY

      See Also:
        Constant Field Values

    - #### FLAGS_QR_RESPONSE

          public static final int FLAGS_QR_RESPONSE

      See Also:
        Constant Field Values

    - #### FLAGS_AA

          public static final int FLAGS_AA

      See Also:
        Constant Field Values

    - #### FLAGS_TC

          public static final int FLAGS_TC

      See Also:
        Constant Field Values

    - #### FLAGS_RD

          public static final int FLAGS_RD

      See Also:
        Constant Field Values

    - #### FLAGS_RA

          public static final int FLAGS_RA

      See Also:
        Constant Field Values

    - #### FLAGS_Z

          public static final int FLAGS_Z

      See Also:
        Constant Field Values

    - #### FLAGS_AD

          public static final int FLAGS_AD

      See Also:
        Constant Field Values

    - #### FLAGS_CD

          public static final int FLAGS_CD

      See Also:
        Constant Field Values

    - #### SHARED_QUERY_TIME

          public static final int SHARED_QUERY_TIME

      See Also:
        Constant Field Values

    - #### QUERY_WAIT_INTERVAL

          public static final int QUERY_WAIT_INTERVAL

      See Also:
        Constant Field Values

    - #### PROBE_WAIT_INTERVAL

          public static final int PROBE_WAIT_INTERVAL

      See Also:
        Constant Field Values

    - #### RESPONSE_MIN_WAIT_INTERVAL

          public static final int RESPONSE_MIN_WAIT_INTERVAL

      See Also:
        Constant Field Values

    - #### RESPONSE_MAX_WAIT_INTERVAL

          public static final int RESPONSE_MAX_WAIT_INTERVAL

      See Also:
        Constant Field Values

    - #### PROBE_CONFLICT_INTERVAL

          public static final int PROBE_CONFLICT_INTERVAL

      See Also:
        Constant Field Values

    - #### PROBE_THROTTLE_COUNT

          public static final int PROBE_THROTTLE_COUNT

      See Also:
        Constant Field Values

    - #### PROBE_THROTTLE_COUNT_INTERVAL

          public static final int PROBE_THROTTLE_COUNT_INTERVAL

      See Also:
        Constant Field Values

    - #### ANNOUNCE_WAIT_INTERVAL

          public static final int ANNOUNCE_WAIT_INTERVAL

      See Also:
        Constant Field Values

    - #### RECORD_REAPER_INTERVAL

          public static final int RECORD_REAPER_INTERVAL

      See Also:
        Constant Field Values

    - #### RECORD_EXPIRY_DELAY

          public static final int RECORD_EXPIRY_DELAY

      See Also:
        Constant Field Values

    - #### KNOWN_ANSWER_TTL

          public static final int KNOWN_ANSWER_TTL

      See Also:
        Constant Field Values

    - #### ANNOUNCED_RENEWAL_TTL_INTERVAL

          public static final int ANNOUNCED_RENEWAL_TTL_INTERVAL

      See Also:
        Constant Field Values

    - #### CLOSE_TIMEOUT

          public static final long CLOSE_TIMEOUT

      See Also:
        Constant Field Values

    - #### SERVICE_INFO_TIMEOUT

          public static final long SERVICE_INFO_TIMEOUT

      See Also:
        Constant Field Values

    - #### NETWORK_CHECK_INTERVAL

          public static final int NETWORK_CHECK_INTERVAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DNSConstants

          public DNSConstants()